- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DoubleVector Class Reference

a double vector data structure More...

`#include <OSGeneral.h>`

List of all members.

## Public Member Functions
| DoubleVector ()
| ~DoubleVector ()
bool | IsEqual (DoubleVector *that)
## Public Attributes
bool | bDeleteArrays
| bDeleteArrays is true if we delete the arrays in garbage collection set to true by default
int | numberOfEl
double * | el

## Detailed Description

a double vector data structure

Definition at line 536 of file OSGeneral.h.

## Constructor & Destructor Documentation

DoubleVector::DoubleVector | ( |  | ) |

Definition at line 577 of file OSGeneral.cpp.

DoubleVector::~DoubleVector | ( |  | ) |

Definition at line 588 of file OSGeneral.cpp.

References bDeleteArrays, and el.

## Member Function Documentation

bool DoubleVector::IsEqual | ( | DoubleVector * | that | ) |

Definition at line 599 of file OSGeneral.cpp.

References DEBUG_ISEQUAL_ROUTINES, el, isEqual(), and numberOfEl.

## Member Data Documentation

bool DoubleVector::bDeleteArrays

bDeleteArrays is true if we delete the arrays in garbage collection set to true by default

Definition at line 544 of file OSGeneral.h.

Referenced by ~DoubleVector(), and OSnl2osil::~OSnl2osil().

int DoubleVector::numberOfEl

Definition at line 545 of file OSGeneral.h.

Referenced by IsEqual(), and writeDblVectorData().

double* DoubleVector::el

Definition at line 546 of file OSGeneral.h.

Referenced by OSInstance::getSparseJacobianFromColumnMajor(), OSInstance::getSparseJacobianFromRowMajor(), IsEqual(), main(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setLinearConstraintCoefficients(), writeDblVectorData(), ~DoubleVector(), and OSmps2osil::~OSmps2osil().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp